Subject: Re: [RFC] cpualloc: improvements to per-cpu allocation

From: Rusty Russell <[email-masked]>
Date: Thu, 1 Jan 2009 13:42:58 +1030

On Thursday 01 January 2009 11:33:00 Christoph Lameter wrote:
> On Thu, 1 Jan 2009, Rusty Russell wrote:
> 
> > I don't think it's a problem.  You still can't use them directly (this
> > wording was not meant to imply that), but you can now hand their addresses
> > to per_cpu_ptr() etc.  So zero-based x86-64 should Just Work.
> 
> Ok so this is going to be merged for 2.6.29? Its a good cleanup and a step
> forward to our goals.

I'm on the fence, but you've convinced me.  I'll put this in linux-next,
and if there's no damage, I'll push to Linus.  The actual conversions I'll
send via the maintainers though.

These patches have been around for a while, and though they've been polished
a little more in the last week or so the changes were mainly cosmetic.

Thanks,
Rusty.